<?php
/**
 * Spa Treatment functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Spa Treatment
 */



if ( ! function_exists( 'spa_treatment_support' ) ) :
	function spa_treatment_support() {

		load_theme_textdomain( 'spa-treatment', get_template_directory() . '/languages' );
		
		add_theme_support( 'html5', array(
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
		) );

		add_theme_support( 'custom-background', apply_filters( 'spa_treatment_custom_background', array(
            'default-color' => 'ffffff',
            'default-image' => '',
        )));
		
		add_theme_support( 'wp-block-styles' );

		add_editor_style( 'style.css' );

		define('SPA_TREATMENT_BUY_NOW',__('https://www.themescarts.com/products/solar-wordpress-theme/','spa-treatment'));
		define('SPA_TREATMENT_FOOTER_BUY_NOW',__('https://www.themescarts.com/products/spa-treatment/','spa-treatment'));

	}
endif;
add_action( 'after_setup_theme', 'spa_treatment_support' );

if ( ! function_exists( 'spa_treatment_setup' ) ) :
	function spa_treatment_setup() {
		add_theme_support( 'automatic-feed-links' );
		add_theme_support( 'align-wide' );
		add_theme_support( 'woocommerce' );
		add_theme_support( 'wp-block-styles' );
		add_theme_support(
			'custom-logo',
			array(
				'height'      => 192,
				'width'       => 192,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);
		add_theme_support( 'block-nav-menus' );
		add_theme_support( 'experimental-link-color' );
		register_nav_menus(
			array(
				'primary' => __( 'Primary Navigation', 'spa-treatment' ),
			)
		);
	}
endif;
add_action( 'after_setup_theme', 'spa_treatment_setup' );




/**
 * Enqueue scripts and styles.
 */
function spa_treatment_scripts() {
	$min  = defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ? '' : '.min';

	$theme_version = wp_get_theme()->get( 'Version' );

	$deps = array( 'dashicons' );
	global $wp_styles;
	if ( in_array( 'wc-blocks-vendors-style', $wp_styles->queue ) ) {
		$deps[] = 'wc-blocks-vendors-style';
	}

	wp_enqueue_style( 'spa-treatment-style', get_stylesheet_uri(), $deps, date( 'Ymd-Gis', filemtime( get_theme_file_path( 'style.css' ) ) ) );

	$spa_treatment_enable_animations = get_option( 'spa_treatment_enable_animations', true );

    if ( $spa_treatment_enable_animations ) {
        //animation
		wp_enqueue_script( 'animate-js', get_theme_file_uri( '/js/animate.js' ), array( 'jquery' ), true );

		wp_enqueue_style( 'animate-css', get_template_directory_uri().'/css/animate.css' );
    }

	wp_style_add_data('spa-treatment', 'rtl', 'replace');

	wp_enqueue_script('spa-treatment-main-script', get_template_directory_uri() . '/js/script.js', array('jquery'), SPA_TREATMENT_VERSION, true);

		//font-awesome
	wp_enqueue_style( 'fontawesome', get_template_directory_uri() . '/css/font-awesome/css/all.css', array(), '5.15.3' );
}
add_action( 'wp_enqueue_scripts', 'spa_treatment_scripts' );

/**
 * Enqueue admin scripts and styles.
 */
function spa_treatment_admin_scripts() {
	$min  = defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ? '' : '.min';

	$theme_version = wp_get_theme()->get( 'Version' );

	$deps = array();

	wp_enqueue_style( 'spa-treatment-admin-style', get_stylesheet_directory_uri() . '/css/admin-style.css', $deps, date( 'Ymd-Gis', filemtime( get_theme_file_path( 'style.css' ) ) ) );

	wp_enqueue_style(
		'spa-treatment-admin-css',
		get_template_directory_uri() . '/notice-getstart/theme-info.css',
		[],
		wp_get_theme()->get( 'Version' )
	);

	// Enqueue JS
	wp_enqueue_script(
		'spa-treatment-admin-js',
		get_template_directory_uri() . '/notice-getstart/theme-info.js',
		[],
		wp_get_theme()->get( 'Version' ),
		true // Load in footer
	);

}
add_action( 'admin_enqueue_scripts', 'spa_treatment_admin_scripts' );

/**
 * Load core file.
 */
require_once get_template_directory() . '/core/init.php';

/**
 * TGM
 */
require_once get_template_directory() . '/core/tgm/tgm.php';


/** 
 * Customizer
 */
require get_template_directory() . '/core/section-pro/customizer.php';


/** 
 * Animation
 */

require get_template_directory() . '/animation-setting.php';



/**
 * Current theme path.
 * Current theme url.
 * Current theme version.
 * Current theme name.
 * Current theme option name.
 */
define( 'SPA_TREATMENT_PATH', trailingslashit( get_template_directory() ) );
define( 'SPA_TREATMENT_URL', trailingslashit( get_template_directory_uri() ) );
define( 'SPA_TREATMENT_VERSION', '1.0.0' );
define( 'SPA_TREATMENT_THEME_NAME', 'spa-treatment' );
define( 'SPA_TREATMENT_OPTION_NAME', 'spa-treatment' );

/**
 * The core theme class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require SPA_TREATMENT_PATH . 'notice-getstart/main.php';


/**
 * Begins execution of the theme.
 *
 * @since    1.0.0
 */
function spa_treatment_run() {
	new Spa_Treatment();
}
spa_treatment_run();




